LinkedIn 公司职位
curl --request POST \
--url https://api.socq.ai/v1/linkedin/company-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"results_limit": 100
}
'import requests
url = "https://api.socq.ai/v1/linkedin/company-jobs"
payload = {
"urls": ["<string>"],
"results_limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], results_limit: 100})
};
fetch('https://api.socq.ai/v1/linkedin/company-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}LinkedIn 公司职位
采集并标准化公开的 LinkedIn 公司职位。
POST
/
v1
/
linkedin
/
company-jobs
LinkedIn 公司职位
{
"urls": [
"https://www.linkedin.com/jobs/microsoft-jobs/"
],
"results_limit": 20
}
结果字段
任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化,但不会推断或补充来源未提供的值。如需请求更小的字段集,MCP 查询请使用fields,Typed 工具请使用 _result_fields,CLI 请使用 --result-fields。即使值为 null,已声明的字段仍会保留。
| 字段 | 类型 | 可空 | 说明 |
|---|---|---|---|
id | string | 是 | 当前结果项的唯一标识。 |
platform | string | 否 | 结果所属的平台,例如 instagram 或 linkedin。 |
resource | string | 否 | 该结果对应的 SocQ 资源,例如 videos 或 comments。 |
type | string | 否 | 结果项的类别,例如 video、post 或 comment。 |
url | string | 是 | 结果项的公开访问地址(如可获得)。 |
published_at | string | 是 | 源内容的发布时间(如可获得),使用 ISO 8601 格式。 |
collected_at | string | 否 | SocQ 采集或处理该结果的时间,使用 ISO 8601 格式。 |
title | string | 是 | 职位名称。 |
company | object | 是 | 职位所属公司。 |
company.id | string | 是 | 公司的唯一标识。 |
company.name | string | 是 | 公司的显示名称。 |
company.url | string | 是 | 公司的公开访问地址(如可获得)。 |
company.logo_url | string | 是 | 公司或广告主徽标的地址。 |
location | object | 是 | 结果关联的地理位置信息。 |
location.name | string | 是 | 便于阅读的地点名称。 |
location.city | string | 是 | 城市名称。 |
location.region | string | 是 | 地区、州或省份名称。 |
location.country | string | 是 | 国家或地区名称或代码。 |
location.latitude | number | 是 | 十进制度格式的纬度。 |
location.longitude | number | 是 | 十进制度格式的经度。 |
text | string | 是 | 职位描述。 |
employment_type | string | 是 | 雇佣类型,例如全职、兼职或合同制。 |
experience_level | string | 是 | 职位要求的经验或职级。 |
is_remote | boolean | 是 | 职位是否标记为远程工作。 |
salary | object | 是 | 职位标注的薪酬信息。 |
salary.amount | number | 是 | 货币金额的数值。 |
salary.currency | string | 是 | 货币金额所使用的币种代码或符号。 |
salary.formatted | string | 是 | 便于阅读的价格或薪酬文本。 |
expires_at | string | 是 | 职位或条目的到期时间(如可获得),使用 ISO 8601 格式。 |
任务完成响应
{
"code": 200,
"data": {
"task_id": "6KP2DI3R6XJLHT83",
"status": "succeeded",
"public_id": "linkedin/company-jobs",
"result_count": 1,
"credits_amount": 0.5,
"results": {
"limit": 50,
"next_cursor": null,
"has_more": false,
"schema_id": "job",
"schema_version": "1.0",
"items": [
{
"id": "4450322592",
"platform": "linkedin",
"resource": "company-jobs",
"type": "job",
"url": "https://www.linkedin.com/jobs/view/principal-engineer-architect-at-microsoft-4450322592",
"published_at": null,
"collected_at": "2026-08-11T03:03:36.381489Z",
"title": "Principal Engineer Architect",
"company": null,
"location": null,
"text": "Windows is the best OS experience on the planet.",
"employment_type": null,
"experience_level": null,
"is_remote": null,
"salary": null,
"expires_at": null
}
]
}
}
}
与 MCP 和 CLI 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/linkedin/company-jobs |
| Compact MCP | socq_execute 与 endpoint: "linkedin/company-jobs" |
| Typed MCP | socq_linkedin_company_jobs |
| CLI | socq linkedin company-jobs |
task_id。轮询任务接口以读取标准化结果。授权
bearerAuthapiKeyAuth
使用 Authorization: Bearer <token> 请求头进行身份验证。
请求体
application/json
⌘I

